{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block body %}
    {% include 'components/header.html.twig' %}
    {% include 'components/nav.html.twig' %}
    
    <h2 class="profile-title">Mon profil</h2>
    <div class="mx-5 mt-3">
        <div class="profile-info-container shadow">
            <h5 class="profile-info-title shadow">Mon adresse e-mail</h5>
            <div>
                <span class="d-flex justify-content-center">{{ user.email }}</i></span>
            </div>
        </div>
        <div class="profile-info-container mt-3 shadow">
            <h5 class="profile-info-title shadow">Mes types de films préféres</h5>
            <div class="d-flex align-content-center justify-content-center pt-2 my-genres">
                {% for genre in genres %}
                    <span class="px-2">{{ genre.name }}</span>
                {% endfor %}
            </div>
        </div>
        <div class="profile-info-container mt-3 shadow">
            <h5 class="profile-info-title shadow">Mes acteurs préféres</h5>
            <div class="row d-flex justify-content-center pt-3 my-actors">
                {% for actor in actors %}
                    <div class="col col-auto d-flex justify-content-center">
                        <label class="px-2">
                            <img class="my-actors-cover" src="{{ (actor.profile_path|displayTmdbImage('w200')) }}">
                            <span class="d-flex justify-content-center">{{ actor.name }}</span>
                        </label>
                    </div>
                {% endfor %}
            <div>
        </div>
    </div>
{% endblock %}